Hay un mecanismo alternativo para insertar, en el documento con el código fuente, comandos de TeX muy usados. Para ello, busca el comando en el menú Macros, o en el botón Macros de la barra de herramientas, y elígelo. TeXShop proporciona un editor de macros que te permite examinar las macros actualmente definidas, modificarlas, y añadir las tuyas propias. Para conocer detalles, lee la Ayuda para Macros. El menú Macros y el editor de macros han sido creados por Mitsuhiro Shishikura. Las macros predefinidas han sido creadas por Mitsuhiro Shishikura y Hirokazu Ogawa.

Las macros se almacenan en el archivo ~/Library/TeXShop/Macros/Macros.plist. Éste es un archivo de texto ordinario, que puede copiarse y enviarse a otros; así, puedes distribuir las macros que hayas creado. El editor de macros dispone de un comando para leer un archivo plist y añadir, en él, otras macros a las ya existentes.

Ayuda básica
Macros